> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Slack deliveries

> List the Slack posts sent for the project, newest first.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /projects/{project_id}/integrations/slack/deliveries
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/integrations/slack/deliveries:
    get:
      tags:
        - Integrations / Slack
      summary: List Slack deliveries
      description: List the Slack posts sent for the project, newest first.
      operationId: list_project_slack_deliveries
      parameters:
        - name: project_id
          in: path
          required: true
          description: Lemma project ID.
          schema:
            type: string
        - name: issue_id
          in: query
          required: false
          description: Only deliveries for this issue.
          schema:
            type: string
        - name: purpose
          in: query
          required: false
          description: >-
            Only these purposes. Repeatable; comma-separated values are also
            accepted.
          schema:
            type: array
            items:
              type: string
              enum:
                - issue_alert
                - project_brief
                - instrumentation_digest
                - pqa_questions_shadow
        - name: since
          in: query
          required: false
          description: Inclusive ISO 8601 lower bound on sent_at.
          schema:
            type: string
            format: date-time
        - name: until
          in: query
          required: false
          description: Exclusive ISO 8601 upper bound on sent_at.
          schema:
            type: string
            format: date-time
        - name: limit
          in: query
          required: false
          description: Maximum number of records to return.
          schema:
            type: integer
            minimum: 1
        - name: cursor
          in: query
          required: false
          description: Opaque cursor from the previous response's next_request.arguments.
          schema:
            type: string
      responses:
        '200':
          description: Slack deliveries page
          content:
            application/json:
              schema:
                type: object
                properties:
                  deliveries:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        purpose:
                          type: string
                          enum:
                            - issue_alert
                            - project_brief
                            - instrumentation_digest
                            - pqa_questions_shadow
                        status:
                          type: string
                          enum:
                            - sent
                            - failed
                            - partial
                        issue_id:
                          type:
                            - string
                            - 'null'
                        level:
                          type:
                            - string
                            - 'null'
                          enum:
                            - red
                            - yellow
                            - null
                        slack_team_id:
                          type:
                            - string
                            - 'null'
                        channel_id:
                          type:
                            - string
                            - 'null'
                        channel_name:
                          type:
                            - string
                            - 'null'
                        ts:
                          type:
                            - string
                            - 'null'
                        summary:
                          type:
                            - string
                            - 'null'
                        url:
                          type:
                            - string
                            - 'null'
                        stage:
                          type:
                            - string
                            - 'null'
                        error:
                          type:
                            - string
                            - 'null'
                        message_count:
                          type: integer
                          minimum: 0
                        sent_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                      required:
                        - id
                        - purpose
                        - status
                        - issue_id
                        - level
                        - slack_team_id
                        - channel_id
                        - channel_name
                        - ts
                        - summary
                        - url
                        - stage
                        - error
                        - message_count
                        - sent_at
                      additionalProperties: false
                  next_request:
                    type:
                      - object
                      - 'null'
                    properties:
                      operation:
                        type: string
                        minLength: 1
                      arguments:
                        type: object
                        properties:
                          project_id:
                            type: string
                            format: uuid
                          issue_id:
                            type: string
                            format: uuid
                          purpose:
                            type: array
                            items:
                              type: string
                              enum:
                                - issue_alert
                                - project_brief
                                - instrumentation_digest
                                - pqa_questions_shadow
                            minItems: 1
                          since:
                            type: string
                            format: date-time
                          until:
                            type: string
                            format: date-time
                          limit:
                            type: integer
                            minimum: 1
                            maximum: 200
                          cursor:
                            type: string
                        additionalProperties: false
                    required:
                      - operation
                      - arguments
                    additionalProperties: false
                required:
                  - deliveries
                  - next_request
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.